Subject: Re: [PATCH net-next] bonding: add new option lacp_active

From: Jay Vosburgh <[email-masked]>
Date: Thu, 29 Jul 2021 10:14:14 -0700

Hangbin Liu <[email-masked]> wrote:

>On Wed, Jul 28, 2021 at 12:10:38PM -0700, Jay Vosburgh wrote:
>> Jiri Pirko <[email-masked]> wrote:
>> 
>> >Wed, Jul 28, 2021 at 11:52:29AM CEST, [email-masked] wrote:
>> >
>> >[...]
>> >
>> >>+module_param(lacp_active, int, 0);
>> >>+MODULE_PARM_DESC(lacp_active, "Send LACPDU frames as the configured lacp_rate or acts as speak when spoken to; "
>> >>+			      "0 for off, 1 for on (default)");
>> >
>> >Afaik adding module parameters is not allowed.
>> 
>> 	Correct; also, adding options requires adding support to
>> iproute2 to handle the new options via netlink.
>
>Hi Jay, Jiri,
>
>Thanks for this info. I will remove the module param. For iproute2, I already
>have a patch to support this options. I planed to post it after the
>kernel patch applied.

	Please post the iproute2 patch at the same time as the new
option patch.

	-J

---
	-Jay Vosburgh, [email-masked]